Use this API to return an API authorization configuration.
Resource URL
https://<subdomain>.onelogin.com/api/2/api_authorizations/:idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Resource Parameters
id required integer | The id of the authorization server to locate. |
Sample Responses
- 200 OK
- 401 Unauthorized
- 404 Not Found
See API Authorization Resource for attribute definitions.
{
"configuration": {
"audiences": [
"https://example.com/contacts"
],
"refresh_token_expiration_minutes": 30,
"resource_identifier": "https://example.com/contacts",
"access_token_expiration_minutes": 10
},
"id": 1022697,
"description": "This is an api",
"name": "Contacts API"
}Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}{
"message": "The resource with the given id could not be found",
"statusCode": 404,
"name": "NotFoundError"
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
List API Authorization Servers
curl 'https://<subdomain>.onelogin.com/api/2/api_authorizations/:id' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.